Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 359)
+++ trunk/admin/versione.php	(revision 360)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 359";
+$versione = "3.0 rev 360";
 $version_number = $versione;
-$datarel = "24 febbraio 2022";
+$datarel = "14 marzo 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/client/file.php
===================================================================
--- trunk/client/file.php	(revision 359)
+++ trunk/client/file.php	(revision 360)
@@ -3,5 +3,5 @@
 include("config.php");
 	try{
-	$dbi = new PDO("mysql:host=$dbhost;charset=latin1", $dbuname, $dbpass, array(PDO::ATTR_EMULATE_PREPARES => false, PDO::ATTR_ERRMODE=>PDO::ERRMODE_EXCEPTION)); 
+	$dbi = new PDO("mysql:host=$dbhost;charset=utf8", $dbuname, $dbpass, array(PDO::ATTR_EMULATE_PREPARES => false, PDO::ATTR_ERRMODE=>PDO::ERRMODE_EXCEPTION)); 
      	$sql = "use $dbname";
     	$dbi->exec($sql);
@@ -11,4 +11,8 @@
 	    echo $sql . "<br>" . $e->getMessage();
 	}             
+	$sth = $dbi->prepare("SET NAMES 'utf8'");
+	$sth->execute();
+
+
 $fase=intval($_GET['fase']);
 
@@ -19,9 +23,9 @@
 	$res->execute();
 
-Header("content-type: application/x-javascript");
+Header("content-type: application/x-javascript; charset=utf-8");
 echo "document.write(\"<b><select name=\'id_cons_gen2\'>";
 
 while(list($id_cons_gen2,$descr) = $res->fetch(PDO::FETCH_NUM)) {
-			echo "<option value=\'$id_cons_gen2\'>$descr";
+			echo "<option value=\'$id_cons_gen2\'>$descr</option>";
 		}
 		echo "</select>";
@@ -44,9 +48,9 @@
 	$res->execute();
 
-Header("content-type: application/x-javascript");
+Header("content-type: application/x-javascript; charset=utf-8");
 echo "document.write(\"<b><input type=\'hidden\' name=\'id_cons_gen2\' value=\'$id_cons_gen2\'><select name=\'id_comune2\'>";
 
 while(list($id_comune2,$descr) = $res->fetch(PDO::FETCH_NUM)) {
-			echo "<option value=\'$id_comune2\'>$descr";
+			echo "<option value=\'$id_comune2\'>$descr</option>";
 		}
 		echo "</select>";
Index: trunk/client/modules/Elezioni/backup.php
===================================================================
--- trunk/client/modules/Elezioni/backup.php	(revision 359)
+++ trunk/client/modules/Elezioni/backup.php	(revision 360)
@@ -12,5 +12,5 @@
 list($nomeFile) = $result->fetch(PDO::FETCH_NUM);
 #$nomeFile="backup";
-header( 'Content-Type: application/octet-stream' );
+header( 'Content-Type: application/octet-stream; charset=utf-8' );
 header( 'Content-Disposition: attachment; filename="'.$nomeFile.'"' );
 #header( 'Content-Length:'.strlen( $content ) );
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 359)
+++ trunk/client/versione.php	(revision 360)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 359";
+$versione = "3.0 rev 360";
 $version_number = $versione;
-$datarel = "24 febbraio 2022";
+$datarel = "14 marzo 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 359)
+++ trunk/install/sql/eleonline.sql	(revision 360)
@@ -1,13 +1,12 @@
 -- phpMyAdmin SQL Dump
--- version 4.7.7
+-- version 5.1.0
 -- https://www.phpmyadmin.net/
 --
--- Host: 127.0.0.1
--- Creato il: Apr 16, 2019 alle 21:10
--- Versione del server: 10.1.30-MariaDB
--- Versione PHP: 7.2.2
+-- Host: localhost
+-- Creato il: Mar 11, 2022 alle 17:08
+-- Versione del server: 10.3.27-MariaDB-0+deb10u1
+-- Versione PHP: 7.3.31-1~deb10u1
 
 SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
-SET AUTOCOMMIT = 0;
 START TRANSACTION;
 SET time_zone = "+00:00";
@@ -20,5 +19,5 @@
 
 --
--- Database: `ele3`
+-- Database: `eleonline3`
 --
 
@@ -32,5 +31,5 @@
   `access_id` int(10) NOT NULL,
   `access_title` varchar(20) DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 --
@@ -54,13 +53,13 @@
   `aid` varchar(25) NOT NULL DEFAULT '',
   `name` varchar(50) DEFAULT NULL,
-  `id_comune` int(11) NOT NULL DEFAULT '0',
+  `id_comune` int(11) NOT NULL DEFAULT 0,
   `email` varchar(255) DEFAULT NULL,
   `pwd` varchar(40) DEFAULT NULL,
-  `counter` int(11) NOT NULL DEFAULT '0',
-  `adminop` tinyint(2) NOT NULL DEFAULT '0',
-  `admincomune` tinyint(2) NOT NULL DEFAULT '0',
-  `adminsuper` tinyint(2) NOT NULL DEFAULT '0',
+  `counter` int(11) NOT NULL DEFAULT 0,
+  `adminop` tinyint(2) NOT NULL DEFAULT 0,
+  `admincomune` tinyint(2) NOT NULL DEFAULT 0,
+  `adminsuper` tinyint(2) NOT NULL DEFAULT 0,
   `admlanguage` varchar(30) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 --
@@ -84,24 +83,25 @@
   `startdate` varchar(50) NOT NULL DEFAULT '',
   `adminmail` varchar(255) NOT NULL DEFAULT '',
-  `tema` varchar(25) NOT NULL,
-  `foot` text NOT NULL,
-  `language` varchar(3) NOT NULL,
-  `blocco` enum('0','1') NOT NULL,
-  `testata` blob,
-  `nome_testata` varchar(50) NOT NULL,
-  `fileout` varchar(255) NOT NULL,
-  `copyright` text NOT NULL,
-  `versione` int(3) NOT NULL,
-  `patch` int(3) NOT NULL,
-  `siteistat` int(11) NOT NULL,
-  `multicomune` enum('0','1') NOT NULL,
-  `flash` enum('0','1') NOT NULL,
-  `displayerrors` enum('0','1') NOT NULL,
-  `gkey` varchar(100) NOT NULL,
-  `googlemaps` enum('0','1') NOT NULL,
+  `tema` varchar(25) NOT NULL DEFAULT '',
+  `foot` mediumtext NOT NULL,
+  `language` char(3) NOT NULL DEFAULT '',
+  `blocco` enum('0','1') NOT NULL DEFAULT '0',
+  `testata` blob DEFAULT NULL,
+  `nome_testata` varchar(50) NOT NULL DEFAULT '',
+  `fileout` varchar(255) NOT NULL DEFAULT '',
+  `copyright` mediumtext NOT NULL,
+  `versione` int(3) DEFAULT NULL,
+  `patch` int(3) NOT NULL DEFAULT 0,
+  `siteistat` int(11) NOT NULL DEFAULT 0,
+  `multicomune` enum('0','1') NOT NULL DEFAULT '0',
+  `flash` enum('0','1') NOT NULL DEFAULT '0',
+  `displayerrors` enum('0','1') NOT NULL DEFAULT '0',
+  `gkey` varchar(100) NOT NULL DEFAULT '',
+  `googlemaps` enum('0','1') NOT NULL DEFAULT '0',
   `editor` enum('0','1') NOT NULL DEFAULT '1',
   `tema_on` enum('0','1') NOT NULL DEFAULT '1',
-  `ed_user` varchar(25) NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `ed_user` varchar(25) NOT NULL DEFAULT '',
+  `secret` varchar(30) DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 --
@@ -110,5 +110,5 @@
 
 INSERT INTO `soraldo_config` (`sitename`, `siteurl`, `site_logo`, `slogan`, `startdate`, `adminmail`, `tema`, `foot`, `language`, `blocco`, `testata`, `nome_testata`, `fileout`, `copyright`, `Versione`, `patch`, `siteistat`, `multicomune`, `flash`, `displayerrors`, `gkey`, `googlemaps`, `editor`, `tema_on`, `ed_user`) VALUES
-('', 'http://www.fonte-nuova.it', '', 'Sito istituzionale', 'Maggio 2009', 'admin@localhost', 'facebook', '<b>Comune di Menfi</b><br>\r\nvia  - 84023 Menfi (Ag)\r\nTel:  Fax: \r\n<hr>', 'it', '1', '', '', '', 'Gpl v3', 2, 0, 84023, '1', '1', '0', '', '0', '1', '1', 'Admin');
+('', 'https://www.eleonline.it', '', 'Sito istituzionale', 'Maggio 2022', 'admin@localhost', 'facebook', '<b>Comune di Test</b><br>\r\nvia  - \r\nTel:  Fax: \r\n<hr>', 'it', '1', '', '', '', 'Gpl v3', 2, 0, 84023, '1', '1', '0', '', '0', '1', '1', 'Admin');
 
 -- --------------------------------------------------------
@@ -119,8 +119,8 @@
 
 CREATE TABLE `soraldo_doc_cons` (
-  `id_cons` int(11) NOT NULL,
-  `id_doc` int(11) NOT NULL,
-  `tabella` varchar(25) NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_doc` int(11) NOT NULL DEFAULT 0,
+  `tabella` varchar(25) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -132,13 +132,13 @@
 CREATE TABLE `soraldo_ele_candidati` (
   `id_cand` int(11) NOT NULL,
-  `id_cons` int(11) NOT NULL DEFAULT '0',
-  `id_lista` int(11) NOT NULL DEFAULT '0',
-  `num_lista` int(2) UNSIGNED NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_lista` int(11) NOT NULL DEFAULT 0,
+  `num_lista` int(2) UNSIGNED NOT NULL,
   `cognome` varchar(50) DEFAULT NULL,
   `nome` varchar(50) DEFAULT NULL,
-  `note` tinytext NOT NULL,
+  `note` text NOT NULL,
   `simbolo` varchar(30) NOT NULL DEFAULT '',
-  `num_cand` int(7) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `num_cand` int(7) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -149,9 +149,9 @@
 
 CREATE TABLE `soraldo_ele_circoscrizione` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `id_circ` int(11) NOT NULL,
-  `num_circ` int(7) NOT NULL DEFAULT '0',
-  `descrizione` text
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `num_circ` int(7) NOT NULL DEFAULT 0,
+  `descrizione` mediumtext DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -163,7 +163,7 @@
 CREATE TABLE `soraldo_ele_collegi` (
   `id_collegio` int(11) NOT NULL,
-  `id_cons_gen` int(11) NOT NULL DEFAULT '0',
-  `descrizione` text
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `id_cons_gen` int(11) NOT NULL DEFAULT 0,
+  `descrizione` mediumtext DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -174,11 +174,11 @@
 
 CREATE TABLE `soraldo_ele_come` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `mid` int(7) NOT NULL,
   `title` varchar(150) NOT NULL DEFAULT '',
-  `preamble` text NOT NULL,
-  `content` text NOT NULL,
+  `preamble` mediumtext NOT NULL,
+  `content` mediumtext NOT NULL,
   `editimage` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -189,5 +189,5 @@
 
 CREATE TABLE `soraldo_ele_comuni` (
-  `id_comune` int(11) NOT NULL DEFAULT '0',
+  `id_comune` int(11) NOT NULL DEFAULT 0,
   `descrizione` varchar(50) DEFAULT NULL,
   `indirizzo` varchar(50) DEFAULT NULL,
@@ -195,11 +195,11 @@
   `fax` varchar(15) DEFAULT NULL,
   `email` varchar(50) DEFAULT NULL,
-  `fascia` tinyint(4) NOT NULL DEFAULT '0',
+  `fascia` tinyint(4) NOT NULL DEFAULT 0,
   `capoluogo` enum('0','1') NOT NULL DEFAULT '0',
-  `simbolo` text,
-  `stemma` blob,
-  `id_cons` int(11) DEFAULT '0',
-  `cap` text
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `simbolo` mediumtext DEFAULT NULL,
+  `stemma` blob DEFAULT NULL,
+  `id_cons` int(11) DEFAULT 0,
+  `cap` mediumtext DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -210,9 +210,9 @@
 
 CREATE TABLE `soraldo_ele_comu_collegi` (
-  `id_collegio` int(11) NOT NULL DEFAULT '0',
-  `id_cons` int(11) NOT NULL DEFAULT '0',
-  `id_comune` int(11) NOT NULL DEFAULT '0',
-  `id_cons_gen` int(11) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `id_collegio` int(11) NOT NULL DEFAULT 0,
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_comune` int(11) NOT NULL DEFAULT 0,
+  `id_cons_gen` int(11) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -230,5 +230,5 @@
   `supsbarramento` int(3) NOT NULL,
   `suppremio` int(3) NOT NULL,
-  `listinfsbar` int(3) NOT NULL DEFAULT '1',
+  `listinfsbar` int(3) NOT NULL DEFAULT 1,
   `listinfconta` enum('0','1') NOT NULL DEFAULT '1',
   `listsupconta` enum('0','1') NOT NULL DEFAULT '1',
@@ -240,6 +240,6 @@
   `inffisso` enum('0','1') NOT NULL DEFAULT '0',
   `supfisso` enum('0','1') NOT NULL DEFAULT '0',
-  `fascia_capoluogo` int(2) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `fascia_capoluogo` int(2) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 --
@@ -264,9 +264,9 @@
 CREATE TABLE `soraldo_ele_consultazione` (
   `id_cons_gen` int(11) NOT NULL,
-  `descrizione` text,
+  `descrizione` mediumtext DEFAULT NULL,
   `data_inizio` date DEFAULT NULL,
   `data_fine` date DEFAULT NULL,
-  `tipo_cons` int(7) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `tipo_cons` int(7) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -279,14 +279,14 @@
   `id_cons` int(11) NOT NULL,
   `chiusa` set('0','1','2') NOT NULL DEFAULT '0',
-  `id_comune` int(11) NOT NULL DEFAULT '0',
-  `id_cons_gen` int(11) NOT NULL DEFAULT '0',
-  `id_conf` int(11) NOT NULL DEFAULT '0',
+  `id_comune` int(11) NOT NULL DEFAULT 0,
+  `id_cons_gen` int(11) NOT NULL DEFAULT 0,
+  `id_conf` int(11) NOT NULL DEFAULT 0,
   `preferita` enum('0','1') NOT NULL DEFAULT '0',
-  `preferenze` tinyint(1) NOT NULL DEFAULT '1',
-  `id_fascia` int(2) NOT NULL DEFAULT '1',
+  `preferenze` tinyint(1) NOT NULL DEFAULT 1,
+  `id_fascia` int(2) NOT NULL DEFAULT 1,
   `vismf` enum('0','1') NOT NULL DEFAULT '0',
-  `solo_gruppo` enum('0','1') NOT NULL DEFAULT '0',
+  `solo_gruppo` enum('0','1') DEFAULT '0',
   `disgiunto` enum('0','1') NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -301,5 +301,5 @@
   `tipo` varchar(10) NOT NULL,
   `id` int(11) NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -311,8 +311,8 @@
 CREATE TABLE `soraldo_ele_documenti` (
   `id_doc` int(11) NOT NULL,
-  `descrizione` varchar(50) NOT NULL,
-  `nomedoc` varchar(25) NOT NULL,
+  `descrizione` varchar(50) NOT NULL DEFAULT '',
+  `nomedoc` varchar(25) NOT NULL DEFAULT '',
   `filedoc` blob NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -326,6 +326,6 @@
   `abitanti` int(11) NOT NULL,
   `seggi` int(4) NOT NULL,
-  `id_conf` int(11) DEFAULT '1'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `id_conf` int(11) DEFAULT 1
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 --
@@ -409,15 +409,15 @@
 
 CREATE TABLE `soraldo_ele_gruppo` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `id_gruppo` int(11) NOT NULL,
-  `num_gruppo` int(7) NOT NULL DEFAULT '0',
-  `descrizione` text,
-  `simbolo` text,
-  `stemma` blob,
-  `id_circ` int(11) NOT NULL DEFAULT '0',
-  `num_circ` int(2) UNSIGNED NOT NULL DEFAULT '1',
-  `prognome` text,
-  `programma` mediumblob
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `num_gruppo` int(7) NOT NULL DEFAULT 0,
+  `descrizione` mediumtext DEFAULT NULL,
+  `simbolo` mediumtext DEFAULT NULL,
+  `stemma` blob DEFAULT NULL,
+  `id_circ` int(11) NOT NULL DEFAULT 0,
+  `num_circ` int(2) UNSIGNED NOT NULL DEFAULT 1,
+  `prognome` mediumtext DEFAULT NULL,
+  `programma` mediumblob DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -428,11 +428,11 @@
 
 CREATE TABLE `soraldo_ele_link` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `mid` int(7) NOT NULL,
   `title` varchar(150) NOT NULL DEFAULT '',
-  `preamble` text NOT NULL,
-  `content` text NOT NULL,
+  `preamble` mediumtext NOT NULL,
+  `content` mediumtext NOT NULL,
   `editimage` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -443,15 +443,15 @@
 
 CREATE TABLE `soraldo_ele_lista` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `id_lista` int(11) NOT NULL,
-  `num_lista` int(7) NOT NULL DEFAULT '0',
-  `id_gruppo` int(11) NOT NULL DEFAULT '0',
-  `num_gruppo` int(2) UNSIGNED NOT NULL DEFAULT '0',
-  `id_circ` int(11) NOT NULL DEFAULT '0',
-  `num_circ` int(2) UNSIGNED NOT NULL DEFAULT '1',
-  `descrizione` text,
-  `simbolo` text,
-  `stemma` blob
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `num_lista` int(7) NOT NULL DEFAULT 0,
+  `id_gruppo` int(11) NOT NULL DEFAULT 0,
+  `num_gruppo` int(2) UNSIGNED NOT NULL DEFAULT 0,
+  `id_circ` int(11) NOT NULL DEFAULT 0,
+  `num_circ` int(2) UNSIGNED NOT NULL DEFAULT 1,
+  `descrizione` text DEFAULT NULL,
+  `simbolo` mediumtext DEFAULT NULL,
+  `stemma` blob DEFAULT NULL
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -467,8 +467,8 @@
   `data` date DEFAULT NULL,
   `ora` time DEFAULT NULL,
-  `log_da` text,
-  `log_a` text,
+  `log_da` mediumtext DEFAULT NULL,
+  `log_a` mediumtext DEFAULT NULL,
   `tabella` varchar(30) DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -479,8 +479,8 @@
 
 CREATE TABLE `soraldo_ele_modelli` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `categoria` varchar(20) NOT NULL DEFAULT '',
   `modello` blob NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -491,11 +491,11 @@
 
 CREATE TABLE `soraldo_ele_numeri` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `mid` int(7) NOT NULL,
   `title` varchar(150) NOT NULL DEFAULT '',
-  `preamble` text NOT NULL,
-  `content` text NOT NULL,
+  `preamble` mediumtext NOT NULL,
+  `content` mediumtext NOT NULL,
   `editimage` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -506,10 +506,12 @@
 
 CREATE TABLE `soraldo_ele_operatori` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
-  `id_sede` int(11) NOT NULL DEFAULT '0',
-  `id_comune` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_sede` int(11) NOT NULL DEFAULT 0,
+  `id_comune` int(11) NOT NULL DEFAULT 0,
   `permessi` int(3) DEFAULT NULL,
-  `aid` varchar(25) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `aid` varchar(25) NOT NULL DEFAULT '',
+  `id_circ` int(11) NOT NULL DEFAULT 0,
+  `id_sez` int(11) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -520,7 +522,7 @@
 
 CREATE TABLE `soraldo_ele_province` (
-  `id` tinyint(11) NOT NULL,
-  `descrizione` varchar(30) NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `id` tinyint(11) NOT NULL DEFAULT 0,
+  `descrizione` varchar(30) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -531,7 +533,7 @@
 
 CREATE TABLE `soraldo_ele_regioni` (
-  `id` int(11) NOT NULL,
-  `descrizione` varchar(25) NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `id` int(11) NOT NULL DEFAULT 0,
+  `descrizione` varchar(25) NOT NULL DEFAULT ''
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -542,8 +544,8 @@
 
 CREATE TABLE `soraldo_ele_rilaff` (
-  `id_cons_gen` int(11) NOT NULL DEFAULT '0',
+  `id_cons_gen` int(11) NOT NULL DEFAULT 0,
   `orario` time NOT NULL DEFAULT '00:00:00',
-  `data` date NOT NULL DEFAULT '1970-01-01'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `data` date NOT NULL DEFAULT '0000-00-00'
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -554,7 +556,7 @@
 
 CREATE TABLE `soraldo_ele_sede` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `id_sede` int(11) NOT NULL,
-  `id_circ` int(11) NOT NULL DEFAULT '0',
+  `id_circ` int(11) NOT NULL DEFAULT 0,
   `indirizzo` varchar(60) DEFAULT NULL,
   `telefono1` varchar(12) DEFAULT NULL,
@@ -564,5 +566,5 @@
   `mappa` mediumblob NOT NULL,
   `filemappa` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -573,11 +575,11 @@
 
 CREATE TABLE `soraldo_ele_servizi` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `mid` int(7) NOT NULL,
   `title` varchar(150) NOT NULL DEFAULT '',
-  `preamble` text NOT NULL,
-  `content` text NOT NULL,
+  `preamble` mediumtext NOT NULL,
+  `content` mediumtext NOT NULL,
   `editimage` varchar(100) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -588,24 +590,24 @@
 
 CREATE TABLE `soraldo_ele_sezioni` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
   `id_sez` int(11) NOT NULL,
-  `id_sede` int(11) NOT NULL DEFAULT '0',
-  `num_sez` int(7) NOT NULL DEFAULT '0',
+  `id_sede` int(11) NOT NULL DEFAULT 0,
+  `num_sez` int(7) NOT NULL DEFAULT 0,
   `maschi` int(4) DEFAULT NULL,
   `femmine` int(4) DEFAULT NULL,
-  `validi` int(7) NOT NULL DEFAULT '0',
-  `nulli` int(7) NOT NULL DEFAULT '0',
-  `bianchi` int(7) NOT NULL DEFAULT '0',
-  `contestati` int(7) NOT NULL DEFAULT '0',
-  `solo_gruppo` int(7) NOT NULL DEFAULT '0',
-  `autorizzati_m` int(4) NOT NULL DEFAULT '0',
-  `autorizzati_f` int(4) NOT NULL DEFAULT '0',
-  `voti_nulli` int(7) NOT NULL DEFAULT '0',
-  `validi_lista` int(7) NOT NULL DEFAULT '0',
-  `contestati_lista` int(7) NOT NULL DEFAULT '0',
-  `voti_nulli_lista` int(7) NOT NULL DEFAULT '0',
-  `solo_lista` int(7) NOT NULL DEFAULT '0',
+  `validi` int(7) NOT NULL DEFAULT 0,
+  `nulli` int(7) NOT NULL DEFAULT 0,
+  `bianchi` int(7) NOT NULL DEFAULT 0,
+  `contestati` int(7) NOT NULL DEFAULT 0,
+  `solo_gruppo` int(7) NOT NULL DEFAULT 0,
+  `autorizzati_m` int(4) NOT NULL DEFAULT 0,
+  `autorizzati_f` int(4) NOT NULL DEFAULT 0,
+  `voti_nulli` int(7) NOT NULL DEFAULT 0,
+  `validi_lista` int(7) NOT NULL DEFAULT 0,
+  `contestati_lista` int(7) NOT NULL DEFAULT 0,
+  `voti_nulli_lista` int(7) NOT NULL DEFAULT 0,
+  `solo_lista` int(7) NOT NULL DEFAULT 0,
   `colore` varchar(50) DEFAULT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -618,5 +620,5 @@
   `id` int(11) NOT NULL,
   `tema` varchar(20) NOT NULL DEFAULT ''
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -627,13 +629,13 @@
 
 CREATE TABLE `soraldo_ele_tipo` (
-  `tipo_cons` int(11) NOT NULL DEFAULT '0',
+  `tipo_cons` int(11) NOT NULL DEFAULT 0,
   `descrizione` varchar(30) DEFAULT NULL,
   `lingua` varchar(2) NOT NULL DEFAULT '0',
-  `genere` tinyint(4) NOT NULL DEFAULT '0',
+  `genere` tinyint(4) NOT NULL DEFAULT 0,
   `voto_g` enum('0','1') NOT NULL DEFAULT '0',
   `voto_l` enum('0','1') NOT NULL DEFAULT '0',
   `voto_c` enum('0','1') NOT NULL DEFAULT '0',
   `circo` enum('0','1') NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 --
@@ -669,10 +671,10 @@
 
 CREATE TABLE `soraldo_ele_voti_candidati` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
-  `id_cand` int(11) NOT NULL DEFAULT '0',
-  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_cand` int(11) NOT NULL DEFAULT 0,
+  `id_sez` int(11) NOT NULL DEFAULT 0,
   `num_cand` int(2) UNSIGNED NOT NULL,
-  `voti` int(7) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `voti` int(7) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -683,11 +685,11 @@
 
 CREATE TABLE `soraldo_ele_voti_gruppo` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
-  `id_gruppo` int(11) NOT NULL DEFAULT '0',
-  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_gruppo` int(11) NOT NULL DEFAULT 0,
+  `id_sez` int(11) NOT NULL DEFAULT 0,
   `num_gruppo` int(2) UNSIGNED NOT NULL,
-  `voti` int(7) NOT NULL DEFAULT '0',
-  `solo_gruppo` int(7) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `voti` int(7) NOT NULL DEFAULT 0,
+  `solo_gruppo` int(7) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -698,12 +700,12 @@
 
 CREATE TABLE `soraldo_ele_voti_lista` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
-  `id_lista` int(11) NOT NULL DEFAULT '0',
-  `id_sez` int(11) NOT NULL DEFAULT '0',
-  `num_lista` int(2) UNSIGNED NOT NULL,
-  `voti` int(7) NOT NULL DEFAULT '0',
-  `nulli_lista` int(7) NOT NULL DEFAULT '0',
-  `solo_lista` int(7) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_lista` int(11) NOT NULL DEFAULT 0,
+  `id_sez` int(11) NOT NULL DEFAULT 0,
+  `num_lista` int(2) UNSIGNED DEFAULT 0,
+  `voti` int(7) NOT NULL DEFAULT 0,
+  `nulli_lista` int(7) NOT NULL DEFAULT 0,
+  `solo_lista` int(7) DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -714,14 +716,14 @@
 
 CREATE TABLE `soraldo_ele_voti_parziale` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
-  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_sez` int(11) NOT NULL DEFAULT 0,
   `id_parz` int(11) NOT NULL,
   `orario` time NOT NULL DEFAULT '00:00:00',
-  `data` date NOT NULL DEFAULT '1970-01-01',
-  `voti_uomini` int(7) NOT NULL DEFAULT '0',
-  `voti_donne` int(7) NOT NULL DEFAULT '0',
-  `voti_complessivi` int(7) NOT NULL DEFAULT '0',
-  `id_gruppo` int(11) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `data` date NOT NULL DEFAULT '0000-00-00',
+  `voti_uomini` int(7) NOT NULL DEFAULT 0,
+  `voti_donne` int(7) NOT NULL DEFAULT 0,
+  `voti_complessivi` int(7) NOT NULL DEFAULT 0,
+  `id_gruppo` int(11) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -732,15 +734,15 @@
 
 CREATE TABLE `soraldo_ele_voti_ref` (
-  `id_cons` int(11) NOT NULL DEFAULT '0',
-  `id_gruppo` int(11) NOT NULL DEFAULT '0',
-  `id_sez` int(11) NOT NULL DEFAULT '0',
+  `id_cons` int(11) NOT NULL DEFAULT 0,
+  `id_gruppo` int(11) NOT NULL DEFAULT 0,
+  `id_sez` int(11) NOT NULL DEFAULT 0,
   `num_gruppo` int(2) UNSIGNED NOT NULL,
-  `si` int(7) DEFAULT '0',
-  `no` int(7) DEFAULT '0',
-  `validi` int(7) DEFAULT '0',
-  `nulli` int(7) DEFAULT '0',
-  `bianchi` int(7) DEFAULT '0',
-  `contestati` int(7) DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `si` int(7) DEFAULT 0,
+  `no` int(7) DEFAULT 0,
+  `validi` int(7) DEFAULT 0,
+  `nulli` int(7) DEFAULT 0,
+  `bianchi` int(7) DEFAULT 0,
+  `contestati` int(7) DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 -- --------------------------------------------------------
@@ -754,8 +756,8 @@
   `nome_file` varchar(255) NOT NULL DEFAULT '',
   `titolo` varchar(255) NOT NULL DEFAULT '',
-  `pos_or` int(1) NOT NULL DEFAULT '1',
-  `pos_ver` int(3) NOT NULL DEFAULT '0',
-  `attivo` int(1) NOT NULL DEFAULT '0'
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+  `pos_or` int(1) NOT NULL DEFAULT 1,
+  `pos_ver` int(3) NOT NULL DEFAULT 0,
+  `attivo` int(1) NOT NULL DEFAULT 0
+) ENGINE=MyISAM DEFAULT CHARSET=utf8;
 
 --
@@ -804,7 +806,7 @@
 --
 ALTER TABLE `soraldo_ele_candidati`
-  ADD UNIQUE KEY `id_cand` (`id_cand`),
+  ADD PRIMARY KEY (`id_cand`) USING BTREE,
   ADD KEY `id_lista` (`id_lista`),
-  ADD KEY `id_cons` (`id_cons`,`num_lista`) USING BTREE;
+  ADD KEY `id_cons` (`id_cons`,`id_lista`) USING BTREE;
 
 --
@@ -853,5 +855,6 @@
 --
 ALTER TABLE `soraldo_ele_consultazione`
-  ADD PRIMARY KEY (`id_cons_gen`);
+  ADD PRIMARY KEY (`id_cons_gen`),
+  ADD UNIQUE KEY `descrizione` (`descrizione`(100));
 
 --
@@ -885,6 +888,6 @@
 --
 ALTER TABLE `soraldo_ele_gruppo`
-  ADD UNIQUE KEY `id_gruppo` (`id_gruppo`),
-  ADD UNIQUE KEY `id_cons` (`id_cons`,`num_gruppo`,`num_circ`) USING BTREE;
+  ADD PRIMARY KEY (`id_gruppo`) USING BTREE,
+  ADD KEY `id_cons` (`id_cons`,`id_circ`) USING BTREE;
 
 --
@@ -898,13 +901,7 @@
 --
 ALTER TABLE `soraldo_ele_lista`
-  ADD PRIMARY KEY (`id_cons`,`num_lista`,`num_circ`) USING BTREE,
-  ADD UNIQUE KEY `id_lista` (`id_lista`),
-  ADD KEY `id_gruppo` (`id_gruppo`);
-
---
--- Indici per le tabelle `soraldo_ele_log`
---
-ALTER TABLE `soraldo_ele_log`
-  ADD KEY `id_cons` (`id_cons`);
+  ADD PRIMARY KEY (`id_lista`) USING BTREE,
+  ADD KEY `id_gruppo` (`id_gruppo`),
+  ADD KEY `id_cons` (`id_cons`,`id_gruppo`) USING BTREE;
 
 --
@@ -983,5 +980,5 @@
   ADD KEY `id_sez` (`id_sez`),
   ADD KEY `id_cand` (`id_cand`),
-  ADD KEY `id_cons` (`id_cons`,`num_cand`) USING BTREE;
+  ADD KEY `id_cons` (`id_cons`,`id_sez`,`id_cand`) USING BTREE;
 
 --
@@ -991,5 +988,5 @@
   ADD KEY `id_gruppo` (`id_gruppo`),
   ADD KEY `id_sez` (`id_sez`),
-  ADD KEY `id_cons` (`id_cons`,`num_gruppo`) USING BTREE;
+  ADD KEY `id_cons` (`id_cons`,`id_sez`,`id_gruppo`) USING BTREE;
 
 --
@@ -999,5 +996,5 @@
   ADD KEY `id_lista` (`id_lista`),
   ADD KEY `id_sez` (`id_sez`),
-  ADD KEY `cons` (`id_cons`,`num_lista`) USING BTREE;
+  ADD KEY `id_cons` (`id_cons`,`id_sez`,`id_lista`) USING BTREE;
 
 --
@@ -1016,5 +1013,5 @@
   ADD KEY `id_gruppo` (`id_gruppo`),
   ADD KEY `id_sez` (`id_sez`),
-  ADD KEY `id_cons` (`id_cons`,`num_gruppo`) USING BTREE;
+  ADD KEY `id_cons` (`id_cons`,`id_gruppo`) USING BTREE;
 
 --
@@ -1140,3 +1137,2 @@
 /*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
 /*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
-
